Summary:	The IPv6 Router Advertisement Daemon
Name:		radvd
Version:	1.8.5
Release:	1
License:	BSD
Group:		System/Servers
URL:		http://v6web.litech.org/radvd/
Source0:	http://v6web.litech.org/radvd/dist/%{name}-%{version}.tar.gz
Source1:	radvd.init
Source2:	radvd.conf
Source3:	radvd.sysconfig
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:	flex bison

%description
IPv6 has a lot more support for autoconfiguration than IPv4. But
for this autoconfiguration to work on the hosts of a network, the
routers of the local network have to run a program which answers
the autoconfiguration requests of the hosts.

On Linux this program is called radvd, which stands for Router
ADVertisement Daemon. This daemon listens to router solicitations (RS)
and answers with router advertisement (RA). Furthermore unsolicited
RAs are also send from time to time.

These RAs contain information, which is used by hosts to configure
their interfaces. This information includes address prefixes, the MTU of
the link and information about default routers.

%prep

%setup -q
cp %{SOURCE1} radvd.init
cp %{SOURCE2} radvd.conf
cp %{SOURCE3} radvd.sysconfig

%build
%serverbuild
%configure2_5x
%make


%install

%makeinstall_std

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_initrddir}

install -m0644 radvd.conf %{buildroot}%{_sysconfdir}/radvd.conf
install -m0644 radvd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/radvd
install -m0755 radvd.init %{buildroot}%{_initrddir}/radvd
perl -pi -e "s|/etc/rc.d/init\.d|%{_initrddir}|" %{buildroot}%{_initrddir}/*

%post
%_post_service radvd

%preun
%_preun_service radvd
 
%files
%doc CHANGES COPYRIGHT README TODO INTRO.html radvd.conf.example
%config(noreplace) %{_sysconfdir}/radvd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/radvd
%{_initrddir}/radvd
%{_sbindir}/*
%{_mandir}/*/*


%changelog
* Mon Mar 26 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.8.5-1
+ Revision: 787125
- version update 1.8.5

* Sat Nov 05 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.8.3-1
+ Revision: 721552
- version update to upstream

* Mon May 30 2011 Oden Eriksson <oeriksson@mandriva.com> 1.8-1
+ Revision: 681821
- 1.8

* Thu May 05 2011 Oden Eriksson <oeriksson@mandriva.com> 1.6-3
+ Revision: 669404
- mass rebuild

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6-2mdv2011.0
+ Revision: 607302
- rebuild

* Sat Mar 06 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.6-1mdv2010.1
+ Revision: 515236
- o update to 1.6
  o use %%configure2_5x

* Thu Aug 20 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4-1mdv2010.0
+ Revision: 418608
- update to new version 1.4

* Sat Jul 25 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3-1mdv2010.0
+ Revision: 399841
- Update to new version 1.3

* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2009.1
+ Revision: 353777
- 1.2
- bunzip initscripts and config
- sync with the bundled fedora stuff (use a %%{_sysconfdir}/sysconfig/radvd file)

* Sun Mar 02 2008 Pascal Terjan <pterjan@mandriva.org> 1.1-1mdv2008.1
+ Revision: 177747
- update to new version 1.1

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-2mdv2008.0
+ Revision: 90248
- rebuild

